package io.renren.modules.levelManage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.levelManage.entity.LevelTableEntity;

import java.util.List;
import java.util.Map;

/**
 * 
 *
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2022-03-30 16:57:16
 */

public interface LevelTableService extends IService<LevelTableEntity> {

    PageUtils queryPage(Map<String, Object> params);

    Integer createTable(String tableName, List<Map<String,String>> cols);

    List<Map<String,Object>> listByLevelId(Long id);

    List<String> listColsByLevelId(Long id);

    List<String> listCommentByLevelId(Long id);

    List<String> listTypeByLevelId(Long id);

    Integer removeByIdsFromTableName(List<Long> ids,String tableName);

    List<String> listBoolColsById(Long id);

}

